package com.example.popularmovies.data

import com.example.popularmovies.R

object MovieData {
    val list = listOf(
            Movie(
                    title = "Palm Springs",
                    releaseDate = "2020-01-26",
                    overview = "When carefree Nyles and reluctant maid of honor Sarah have a chance encounter at a Palm Springs wedding, things get complicated when they find themselves unable to escape the venue, themselves, or each other.",
                    voteAverage = 7.7,
                    image = R.mipmap.palm_springs
            ),
            Movie(
                    title = "The Old Guard",
                    releaseDate = "2020-07-10",
                    overview = "Four undying warriors who've secretly protected humanity for centuries become targeted for their mysterious powers just as they discover a new immortal.",
                    voteAverage = 7.4,
                    image = R.mipmap.the_old_guard
            ),
            Movie(
                    title = "Greyhound",
                    releaseDate = "2020-07-10",
                    overview = "A first-time captain leads a convoy of allied ships carrying thousands of soldiers across the treacherous waters of the “Black Pit” to the front lines of WW2. With no air cover protection for 5 days, the captain and his convoy must battle the surrounding enemy Nazi U-boats in order to give the allies a chance to win the war.",
                    voteAverage = 7.5,
                    image = R.mipmap.greyhound
            ),
            Movie(
                    title = "Ad Astra",
                    releaseDate = "2019-09-17",
                    overview = "Four undying warriors who've secretly protected humanity for centuries become targeted for their mysterious powers just as they discover a new immortal.",
                    voteAverage = 6.1,
                    image = R.mipmap.ad_astra
            ),
            Movie(
                    title = "Fatal Affair",
                    releaseDate = "2020-07-16",
                    overview = "Ellie tries to mend her marriage with her husband Marcus after a brief encounter with an old friend, David, only to find that David is more dangerous and unstable than she'd realized.",
                    voteAverage = 5.0,
                    image = R.mipmap.fatal_affair
            ),
            Movie(
                    title = "Joker",
                    releaseDate = "2019-10-02",
                    overview = "During the 1980s, a failed stand-up comedian is driven insane and turns to a life of crime and chaos in Gotham City while becoming an infamous psychopathic crime figure.",
                    voteAverage = 8.2,
                    image = R.mipmap.joker
            ),
            Movie(
                    title = "Birds of Prey (and the Fantabulous Emancipation of One Harley Quinn)",
                    releaseDate = "2020-02-05",
                    overview = "Harley Quinn joins forces with a singer, an assassin and a police detective to help a young girl who had a hit placed on her after she stole a rare diamond from a crime lord.",
                    voteAverage = 7.2,
                    image = R.mipmap.birds_of_prey
            ),
            Movie(
                    title = "Interstellar",
                    releaseDate = "2014-11-05",
                    overview = "The adventures of a group of explorers who make use of a newly discovered wormhole to surpass the limitations on human space travel and conquer the vast distances involved in an interstellar voyage.",
                    voteAverage = 8.3,
                    image = R.mipmap.interstellar
            ),
            Movie(
                    title = "Avengers: Infinity War",
                    releaseDate = "2018-04-25",
                    overview = "As the Avengers and their allies have continued to protect the world from threats too large for any one hero to handle, a new danger has emerged from the cosmic shadows: Thanos. A despot of intergalactic infamy, his goal is to collect all six Infinity Stones, artifacts of unimaginable power, and use them to inflict his twisted will on all of reality. Everything the Avengers have fought for has led up to this moment - the fate of Earth and existence itself has never been more uncertain.",
                    voteAverage = 8.3,
                    image = R.mipmap.avengers
            ),
            Movie(
                    title = "Parasite",
                    releaseDate = "2019-05-30",
                    overview = "All unemployed, Ki-taek's family takes peculiar interest in the wealthy and glamorous Parks for their livelihood until they get entangled in an unexpected incident.",
                    voteAverage = 8.5,
                    image = R.mipmap.parasite
            )
    )
}